# Uses of Class
org.eclipse.draw2d.text.FlowFigure

Packages that use FlowFigure
Package
Description
org.eclipse.draw2d.text
Figures and support classes related to the layout and rendering of rich text.

## Uses of FlowFigure in org.eclipse.draw2d.text

Subclasses of FlowFigure in org.eclipse.draw2d.text
Modifier and Type
Class
Description
`class`
`BlockFlow`
A `FlowFigure` represented by a single `BlockBox` containing one or more lines.
`class`
`FlowAdapter`
Adapts non-flow figures for use within a parent hierarchy requiring flow figures.
`class`
`FlowPage`
The root of a Flow hierarchy.
`class`
`InlineFlow`
A `FlowFigure` represented by multiple `LineBox` fragments.
`class`
`TextFlow`
An inline flow figure that renders a string of text across one or more lines.
Methods in org.eclipse.draw2d.text that return FlowFigure
Modifier and Type
Method
Description
`protected FlowFigure`
FlowFigureLayout.`getFlowFigure()`
Methods in org.eclipse.draw2d.text with parameters of type FlowFigure
Modifier and Type
Method
Description
`void`
BidiProcessor.`add(FlowFigure fig, char c)`
Records a character contribution for this bidi context.
`void`
BidiProcessor.`add(FlowFigure fig, String str)`
Records a String contribution for this bidi context.
`void`
BlockFlowLayout.`getWidthLookahead(FlowFigure child, int[] result)`
`void`
FlowContext.`getWidthLookahead(FlowFigure child, int[] width)`
This method looks ahead for line-breaks.
`void`
InlineFlowLayout.`getWidthLookahead(FlowFigure child, int[] result)`
`void`
AbstractFlowBorder.`paint(FlowFigure figure, Graphics g, Rectangle where, int sides)`
Subclasses should override this method to paint each box's border.
`void`
FlowBorder.`paint(FlowFigure figure, Graphics g, Rectangle where, int sides)`
Paints the border around the given box location.
Constructors in org.eclipse.draw2d.text with parameters of type FlowFigure
Modifier
Constructor
Description
`protected`
`FlowContainerLayout(FlowFigure flowFigure)`
`protected`
`FlowFigureLayout(FlowFigure flowfigure)`
Constructs a new FlowFigureLayout with the given FlowFigure.
``
`InlineFlowLayout(FlowFigure flow)`
Creates a new InlineFlowLayout with the given FlowFigure.